Name:           python-nanobind
Version:        2.4.0
Release:        %autorelease
Summary:        nanobind: tiny and efficient C++/Python bindings

License:        BSD
URL:            https://github.com/wjakob/nanobind
Source:         %{pypi_source nanobind}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
nanobind is a small binding library that exposes C++ types
in Python and vice versa. It is reminiscent of Boost.Python
and pybind11 and uses near-identical syntax.
In contrast to these existing tools, nanobind is more
efficient: bindings compile in a shorter amount of time,
produce smaller binaries, and have better runtime performance.}

%description %_description

%package -n     python3-nanobind
Summary:        %{summary}

%description -n python3-nanobind %_description

%prep
%autosetup -p1 -n nanobind-%{version}

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files 'nanobind'


%check
%_pyproject_check_import_allow_no_modules -t
%tox -- --parallel 0 -- --verbose


%files -n python3-nanobind -f %{pyproject_files}
%license LICENSE


%changelog
%autochangelog